| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::RenderPassGLES Class Referencefinal

`#include <render_pass_gles.h>`

Inheritance diagram for impeller::RenderPassGLES:

## Public Member Functions
| ~RenderPassGLES () override
Public Member Functions inherited from impeller::RenderPass
virtual | ~RenderPass ()
const std::weak_ptr< const Context > & | GetContext () const
const RenderTarget & | GetRenderTarget () const
ISize | GetRenderTargetSize () const
const Matrix & | GetOrthographicTransform () const
void | SetLabel (std::string label)
void | ReserveCommands (size_t command_count)
| Reserve [command_count] commands in the HAL command buffer. More...
HostBuffer & | GetTransientsBuffer ()
bool | AddCommand (Command &&command)
| Record a command for subsequent encoding to the underlying command buffer. No work is encoded into the command buffer at this time. More...
bool | EncodeCommands () const
| Encode the recorded commands to the underlying command buffer. More...
const std::vector< Command > & | GetCommands () const
| Accessor for the current Commands. More...
SampleCount | GetSampleCount () const
| The sample count of the attached render target. More...
PixelFormat | GetRenderTargetPixelFormat () const
| The pixel format of the attached render target. More...
bool | HasStencilAttachment () const
| Whether the render target has an stencil attachment. More...

## Friends
class | CommandBufferGLES

## Additional Inherited Members
Protected Member Functions inherited from impeller::RenderPass
| RenderPass (std::weak_ptr< const Context > context, const RenderTarget &target)
Protected Attributes inherited from impeller::RenderPass
const std::weak_ptr< const Context > | context_
const SampleCount | sample_count_
const PixelFormat | pixel_format_
const bool | has_stencil_attachment_
const ISize | render_target_size_
const RenderTarget | render_target_
std::shared_ptr< HostBuffer > | transients_buffer_
std::vector< Command > | commands_
const Matrix | orthographic_

## Detailed Description

Definition at line 15 of file render_pass_gles.h.

## Constructor & Destructor Documentation

## ◆ ~RenderPassGLES()

impeller::RenderPassGLES::~RenderPassGLES | ( |  | ) |
| override default

## Friends And Related Function Documentation

## ◆ CommandBufferGLES

friend class CommandBufferGLES
| friend

Definition at line 23 of file render_pass_gles.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/gles/render_pass_gles.h
- impeller/renderer/backend/gles/render_pass_gles.cc